Issue #10579 has been updated by Nobuyoshi Nakada.

Description updated
Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN to 2.0.0: REQUIRED, 2.1: REQUIRED

Not only openssl.so, resolv.rb too.

The cause is `exec_recursive` used by `rb_hash_any` stores the current method name, but it isn't set in the required top-level, and a few other cases.


----------------------------------------
Bug #10579: Segmentation fault at 0x00000000000000
https://bugs.ruby-lang.org/issues/10579#change-50338

* Author: Arun Kant Sharma
* Status: Open
* Priority: Normal
* Assignee: 
* Category: core
* Target version: current: 2.2.0
* ruby -v: ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-linux]
* Backport: 2.0.0: REQUIRED, 2.1: REQUIRED
----------------------------------------
Following script cause a Segmentation fault

~~~
$ ruby -rresolv -e 'ObjectSpace.each_object { |obj| p obj }' > temp.output
~~~
But this one not

~~~
$ ruby -e 'ObjectSpace.each_object { |obj| p obj }' > temp.output
~~<

---Files--------------------------------
rubyerror.output (18.7 KB)


-- 
https://bugs.ruby-lang.org/